Wallets, tokens & networks
Get User Current Wallets
Lists VERIFIED and current wallets for a role, defaulting to the caller.
GEThttps://api.toku.com/tga/get-user-current-wallets
Required scope: banking:read. With an API key, roleInOrgID must be set: a key has no person of its own.
curl --request GET \
--url 'https://api.toku.com/tga/get-user-current-wallets' \
--header 'Authorization: Bearer <token>'200 response
[
{
"network": "string",
"name": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"status": "string",
"address": "string",
"roleInOrgID": "string",
"destinationTag": 0,
"tokenTypeID": "string",
"isCurrent": true,
"investorEntityID": "string",
"walletID": "string",
"memo": "string",
"walletType": "string",
"orgNetworkID": "string",
"isDefault": true,
"walletTypeCustomID": "string",
"nickName": "string",
"connectedViaMesh": true,
"userDismissed": true,
"walletVerificationRequest": {},
"orgNetwork": {},
"walletTypeCustom": {}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>Response
200Successful response
networkstring | nullnamestring | nullcreatedAtstring | nullupdatedAtstring | nulllegacyMigratedAtstring | nulllegacyModelIDnumber | nullstatusstring | nulladdressstring | nullroleInOrgIDstring | nulldestinationTagnumber | nulltokenTypeIDstring | nullisCurrentboolean | nullinvestorEntityIDstring | nullwalletIDstring | nullmemostring | nullwalletTypestring | nullorgNetworkIDstring | nullisDefaultboolean | nullwalletTypeCustomIDstring | nullnickNamestring | nullconnectedViaMeshboolean | nulluserDismissedboolean | nullwalletVerificationRequestobject | nullorgNetworkobject | nullwalletTypeCustomobject | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits